package com.clx.performance.job;

import com.msl.common.job.JobLog;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class IntegralJob {

    /**
     * 下周车辆初始化 (周三)
     * @Scheduled(cron = "0 0 6 ? * 3")
     */
    @XxlJob("favoriteStatusSyncTask")
    public void favoriteStatusSyncTask() {
        try {


        } catch (Exception e) {
            JobLog.error("下周车辆初始化定时任务处理失败", e);
        }
    }

    /**
     * 下周车辆初始化 (周日)
     * @Scheduled(cron = "0 0 22 ? * 7")
     */
    @XxlJob("favoriteStatusSyncTask1")
    public void favoriteStatusSyncTask1() {
        try {


        } catch (Exception e) {
            JobLog.error("下周车辆初始化定时任务处理失败", e);
        }
    }

    /**
     * 车辆周统计(结算上周积分) (周1)
     * @Scheduled(cron = "0 0 1 ? * 1")
     */
    @XxlJob("weekTruckStatistics")
    public void weekTruckStatistics() {
        try {


        } catch (Exception e) {
            JobLog.error("车辆周统计(结算上周积分)定时任务处理失败", e);
        }
    }

    /**
     * 车辆保护期取消 (周一不处理)
     * @Scheduled(cron = "0 0 6,18 ? * 2,3,4,5,6,7")
     */
    @XxlJob("truckProtectionCancel")
    public void truckProtectionCancel() {
        try {


        } catch (Exception e) {
            JobLog.error("车辆保护期取消定时任务处理失败", e);
        }
    }

}
